#include "Lister.h"



Directory* Lister::getDirectory()
{
	return directory;
}

void Lister::setDirectory(Directory* newDir)
{
	directory = newDir;
}

DirItem* Lister::getCurrentItem()
{
	return currentItem;
}

void Lister::selectItem(SelectItemRequest* request)
{
	currentItem = request->item;

		// ... do further stuff
}

void Lister::selectItemRequested(int index)
{
	DirItem* item = directory->at(index);
	Request* request = new SelectItemRequest(item, index);
	forwardRequest(request);
}

void Lister::selectItem(DirItem* newItem)
{
	currentItem = newItem;
}

void Lister::changeSortOrderRequested(int index)
{
		// assumed to be local -> no request forwarding
	changeSortOrder(index);
}

void Lister::changeSortOrder(int index)
{
		// ... do further stuff
	static SortOrderChangedEvent event;
	notify(&event);
}

Lister::Lister()
{
	directory = 0;
}

Lister::~Lister()
{
}
